<?php

//------------ Admin css & JS -----------------

function gsrsl_enque_admin_style() {
  $media = 'all';
  wp_register_style( 'gsrsl-admin-style', GSRSL_FILES_URI . '/admin/css/gsrsl-admin.css', '', GSRSL_VERSION, $media );
  wp_enqueue_style( 'gsrsl-admin-style' );

  wp_register_script( 'gsrsl-admin-js', GSRSL_FILES_URI . '/admin/js/gsrsl_admin.js', array( 'jquery' ),GSRSL_VERSION, true );
  wp_enqueue_script('gsrsl-admin-js');
}
add_action( 'admin_enqueue_scripts', 'gsrsl_enque_admin_style' );



//--------- Additional css and js file

function load_gsrsl_site_script() {
  $media = 'all';

// uikit css
  $uikit_css = 'gsr_uikit_css';
  // $uikit_slidenav = 'gsr-slidenav';
  // $uikit_slideshow_css = 'gsr-slideshow';
  
   wp_enqueue_style( $uikit_css, GSRSL_FILES_URI . '/css/gsrs_vendor.css', '', GSRSL_VERSION, $media );

  // wp_enqueue_style( $uikit_css, GSRSL_FILES_URI . '/css/gsrs_uikit.min.css', '', GSRSL_VERSION, $media );
  // wp_enqueue_style( $uikit_slidenav, GSRSL_FILES_URI . '/css/gsrs_slidenav.css', '', GSRSL_VERSION, $media );
  // wp_enqueue_style( $uikit_slideshow_css, GSRSL_FILES_URI . '/css/gsrs_slideshow.min.css', '', GSRSL_VERSION, $media );
  // wp_enqueue_style( 'slider2', GSRSL_FILES_URI . '/css/js-image-slider.css', '', GSRSL_VERSION, $media );

// uikit script
  $uikit_js = 'uikit_js';


   wp_enqueue_script( $uikit_js,  GSRSL_FILES_URI . '/js/gsrs_vendor.js',array('jquery'),  '' , false  );


  wp_enqueue_script( 'custom-js',	GSRSL_FILES_URI . '/js/gsrs_custom.js',array('jquery'),	'' , true	);


}
add_action( 'wp_enqueue_scripts', 'load_gsrsl_site_script' );

// Custom CSS

function gsrsl_custom_style(){
    if( isset( $GLOBALS['gsrsl_custom_css'] ) && !empty( $GLOBALS['gsrsl_custom_css'] ) ){
      ?>
        <style type="text/css">
          <?php echo $GLOBALS['gsrsl_custom_css'] ;?>
        </style>
      <?php
    }
}
add_action( 'gsrsl_your_custom_css','gsrsl_custom_style' );