<?php
/**
 *
 * @package   GS_Responsive_Slider
 * @author    Golam Samdani <samdani1997@gmail.com>
 * @license   GPL-2.0+
 * @link      http://www.gsamdani.com
 * @copyright 2014 Golam Samdani
 *
 * @wordpress-plugin
 * Plugin Name:			GS Responsive Slider PRO
 * Plugin URI:			http://www.gsamdani.com/wordpress-plugins
 * Description:       	Best responsive Image Slider with stunning Transition Effects, Fullscreen Mode and Overlays. Display anywhere at your site using shortcode like [gs_rsl id="slider_id"] Check more details demo & documentation at <a href=" http://slider.gsamdani.com">GS Responsive Slider</a>
 * Version:           	1.0.0
 * Author:       		Golam Samdani
 * Author URI:       	http://www.gsamdani.com
 * Text Domain:       	gsrsl
 * License:           	GPL-2.0+
 * License URI:       	http://www.gnu.org/licenses/gpl-2.0.txt
 */

if( ! defined( 'GSRSL_HACK_MSG' ) ) define( 'GSRSL_HACK_MSG', __( 'Sorry cowboy! This is not your place', 'gsrsl' ) );

/**
 * Protect direct access
 */
if ( ! defined( 'ABSPATH' ) ) die( GSRSL_HACK_MSG );

/**
 * Defining constants
 */
if( ! defined( 'GSRSL_VERSION' ) ) define( 'GSRSL_VERSION', '1.0.0' );
if( ! defined( 'GSRSL_MENU_POSITION' ) ) define( 'GSRSL_MENU_POSITION', 38 );
if( ! defined( 'GSRSL_PLUGIN_DIR' ) ) define( 'GSRSL_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
if( ! defined( 'GSRSL_PLUGIN_URI' ) ) define( 'GSRSL_PLUGIN_URI', plugins_url( '', __FILE__ ) );
if( ! defined( 'GSRSL_FILES_DIR' ) ) define( 'GSRSL_FILES_DIR', GSRSL_PLUGIN_DIR . 'gsrsl-files' );
if( ! defined( 'GSRSL_FILES_URI' ) ) define( 'GSRSL_FILES_URI', GSRSL_PLUGIN_URI . '/gsrsl-files' );

require_once GSRSL_FILES_DIR .'/inc/gsrsl-cpt.php';
require_once GSRSL_FILES_DIR .'/inc/gsr-slider-metabox.php';
require_once GSRSL_FILES_DIR .'/inc/gsrsl-column.php';
require_once GSRSL_FILES_DIR .'/inc/gsrsl-shortcode.php';
require_once GSRSL_FILES_DIR .'/inc/gsrsl-script.php';
require_once GSRSL_FILES_DIR .'/gs-plugins/gs-plugins.php';

