<?php

if( ! class_exists( 'GSPlugins_rsl' ) ){
    
    class GSPlugins_rsl{
        
        /**
         * Singleton Instance
         *
         * @access private static
         */
        private static $_instance;
        
        public function __construct() {
            add_action( 'admin_menu', array( $this, 'gs_main_menu' ) );
        }
        
        /**
         * Get class singleton instance
         *
         * @return Class Instance
         */
        public static function get_instance() {
            if ( ! self::$_instance instanceof GSPlugins_rsl ) {
                self::$_instance = new GSPlugins_rsl();
            }
            
            return self::$_instance;
        }
                
        public function gs_main_menu() {

            add_submenu_page( 
                'edit.php?post_type=gsrsl-res-slids', 
                'GS Plugins', 
                'GS Plugins', 
                'manage_options', 
                'gspt-add-ons', 
                array( $this, 'gspt_main_menu_cb' )
                );
        }
        
        public function gspt_main_menu_cb() {
            $protocol = is_ssl() ? 'https' : 'http';
            $promo_content = wp_remote_get( $protocol . '://www.gsamdani.com/gs_plugins_list/index.php' );
            echo $promo_content['body'];
        }
        
    }
    
    $tmev = GSPlugins_rsl::get_instance();
    
}